These are chat archives for chocolatey/ChocolateyGUI

25th
Feb 2018
Schneehexe
@Schneehexe
Feb 25 2018 16:26
Does anoone know why Totqlcommander cannot beeing installed?
Totalcomander 9.12?
Rob Reynolds
@ferventcoder
Feb 25 2018 16:28
@Schneehexe no idea - the last runs of the package look to install correctly. And there is nothing to download that would stop the package from being successful

@Schneehexe so the only thing I can think of is possibly incompatibility or an unrealized dependency that you don't have. Could also be you are attempting to install through a windows service, which won't work with AHK due to non-interactivity.

Best to post here with a link to your log output showing the error. Otherwse we'll not be able to give you a better answer.

Schneehexe
@Schneehexe
Feb 25 2018 16:36
Error while running'C:\ProgramData\chocolatey\lib\TotalCommander\tools\chocolateyInstall.ps1'
I doesn'd find a log at c:\ProgramData\chocolatey\logs
Rob Reynolds
@ferventcoder
Feb 25 2018 17:09
No, sorry for the confusion. Run choco with -dv, post the results to a gist (https://gist.github.com) (all of the output) and provide a link back here. Be sure to double check that no sensitive data is shared. By this I mean, don't install with the GUI, use choco directly.
Schneehexe
@Schneehexe
Feb 25 2018 17:32
Ok, it comes here gist:21ff30e76abedc3a0f100d2429dd20ea
Rob Reynolds
@ferventcoder
Feb 25 2018 17:36
Url from the address bar please
Rob Reynolds
@ferventcoder
Feb 25 2018 17:44
Windows 7, PowerShell v2. Looks like the pkg might have an incompatibility with posh v2
This was the error: ERROR: Bad numeric constant: 7
Schneehexe
@Schneehexe
Feb 25 2018 17:45
The Totalcmd, downloaded from the manucafturer works well.
Rob Reynolds
@ferventcoder
Feb 25 2018 17:46
Sorry, package is not software, those are two different but similar concepts in Chocolatey
Package refers specifically to the nupkg or Chocolatey package
The software is likely fine
Schneehexe
@Schneehexe
Feb 25 2018 17:47
i dont know what I have to do now - I think I have to install it beside from chocolate.....
Rob Reynolds
@ferventcoder
Feb 25 2018 17:47
So what you'll need to do is go to the package page, and in the left menu look for package source url and follow that to create an issue or use contact maintainers and let them know
That way the issue can be fixed
Packages should be compatible with posh v2, but sometimes folks miss that step
Schneehexe
@Schneehexe
Feb 25 2018 17:48
Ok, I try this - this is my first day with chocolate.....
Rob Reynolds
@ferventcoder
Feb 25 2018 17:49
In Posh v3+ you typically get line number, etc. In Posh v2, the output is not as helpful, so point them to your gist url
Kim J. Nordmo
@AdmiringWorm
Feb 25 2018 17:50

Since this a package on the core team packages repository, it would be preferred if you created an issue over at the repository: https://github.com/chocolatey/chocolatey-coreteampackages/issues if you can.

I've had a quick look at the install script though, and think I've seen a posibility for this problem, but unfortunately not in a position to fix that tonight

Rob Reynolds
@ferventcoder
Feb 25 2018 17:51
Thanks @AdmiringWorm!! I didn't see it right off, but guessing it has something to do with calling 7zip bare...?
Kim J. Nordmo
@AdmiringWorm
Feb 25 2018 17:51
yeah, that is what I believe as well
not sure why it was decided to do it that way though
Schneehexe
@Schneehexe
Feb 25 2018 17:57
chocolatey/chocolatey-coreteampackages#965
Rob Reynolds
@ferventcoder
Feb 25 2018 17:59
Thanks @Schneehexe! Hopefully it gets fixed soon :+1:
The chocolatiest bot this side of the Mississippi
@choco-bot
Feb 25 2018 17:59
Rob Reynolds
@ferventcoder
Feb 25 2018 18:01
If I may, I'll fix that to be more descriptive - as is you may not get the support you desire